Results 1 to 3 of 3

Thread: Error on updating/ Installing Packages because of connection refusing

  1. #1

    Exclamation Error on updating/ Installing Packages because of connection refusing

    Hi, I just installed OpenSuse Leap 42.3 but I can't update the system nor can install any packages from your software.opensuse site.
    I keep on getting such error:

    Code:
    Download (curl) error for 'http://download.opensuse.org/distribution/leap/42.3/repo/oss/content':
     Error code: Curl error 56 Error message: 
    Recv failure: Connection reset by peer
    The above link works on firefox.

    How do I solve this problem?



    Below is the output of zypper lr -u

    Code:
    linux-p6fp:~ # zypper lr -u
    Repository priorities are without effect. All enabled repositories share the same priority.
    
    #  | Alias                     | Name                                    | Enabled | GPG Check | Refresh | URI                                                                     
    ---+---------------------------+-----------------------------------------+---------+-----------+---------+-------------------------------------------------------------------------
     1 | openSUSE-Leap-42.3-0      | openSUSE-Leap-42.3-0                    | No      | ----      | ----    | hd:///?device=/dev/disk/by-id/usb-Generic_Flash_Disk_D041D089-0:0-part1 
     2 | packman.inode.at-suse     | Packman Repository                      | Yes     | (r ) Yes  | Yes     | http://packman.inode.at/suse/openSUSE_Leap_42.3/                        
     3 | repo-debug                | openSUSE-Leap-42.3-Debug                | No      | ----      | ----    | http://download.opensuse.org/debug/distribution/leap/42.3/repo/oss/     
     4 | repo-debug-non-oss        | openSUSE-Leap-42.3-Debug-Non-Oss        | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/debug/distribution/leap/42.3/repo/non-oss/ 
     5 | repo-debug-update         | openSUSE-Leap-42.3-Update-Debug         | No      | ----      | ----    | http://download.opensuse.org/debug/update/leap/42.3/oss/                
     6 | repo-debug-update-non-oss | openSUSE-Leap-42.3-Update-Debug-Non-Oss | No      | ----      | ----    | http://download.opensuse.org/debug/update/leap/42.3/non-oss/            
     7 | repo-non-oss              | openSUSE-Leap-42.3-Non-Oss              | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/       
     8 | repo-oss                  | openSUSE-Leap-42.3-Oss                  | Yes     | ( p) Yes  | Yes     | http://download.opensuse.org/distribution/leap/42.3/repo/oss/           
     9 | repo-source               | openSUSE-Leap-42.3-Source               | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/source/distribution/leap/42.3/repo/oss/    
    10 | repo-source-non-oss       | openSUSE-Leap-42.3-Source-Non-Oss       | No      | ----      | ----    | http://download.opensuse.org/source/distribution/leap/42.3/repo/non-oss/
    11 | repo-update               | openSUSE-Leap-42.3-Update               | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/update/leap/42.3/oss/                      
    12 | repo-update-non-oss       | openSUSE-Leap-42.3-Update-Non-Oss       | Yes     | (r ) Yes  | Yes     | http://download.opensuse.org/update/leap/42.3/non-oss/

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,855
    Blog Entries
    14

    Default Re: Error on updating/ Installing Packages because of connection refusing

    Try removing and readding the repo.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    2,559

    Default Re: Error on updating/ Installing Packages because of connection refusing

    Quote Originally Posted by lakshmanbasnet View Post
    I keep on getting such error:
    With a CLI and either the user "root" or with "sudo", check the result of "zypper clean --all". Once the zypper caches have been cleaned, with CLI "sudo" or the user "root", re-execute "zypper refresh".

    On the other hand, there may have been a connection issue between your machine and the openSUSE servers -- I've noticed in another post that, there was an ongoing issue which may take some time to resolve due to the current (Christmas) holiday period.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •